from typing import Optional

from ome_types._autogenerated.ome_2016_06.arc_type import Arc_Type
from ome_types._autogenerated.ome_2016_06.light_source import LightSource
from xsdata_pydantic_basemodel.pydantic_compat import Field

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Arc(LightSource):
    """The Arc element is used to describe various kinds of Arc lamps - Hg, Xe, HgXe.
    The Power of the Arc is now stored in the LightSource.

    Attributes
    ----------
    type : None | Arc_Type
        The type of Arc lamp.
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    type: Optional[Arc_Type] = Field(
        default=None,
        metadata={
            "name": "Type",
            "type": "Attribute",
        },
    )


Type = Arc_Type
