from typing import List, Optional

from ome_types._autogenerated.ome_2016_06.annotation_ref import AnnotationRef
from ome_types._autogenerated.ome_2016_06.dichroic_ref import DichroicRef
from ome_types._autogenerated.ome_2016_06.filter_ref import FilterRef
from ome_types._mixins._base_type import OMEType
from xsdata_pydantic_basemodel.pydantic_compat import Field

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class LightPath(OMEType):
    """
    A description of the light path.

    Attributes
    ----------
    excitation_filter_ref : list[FilterRef]
        The Filters placed in the Excitation light path.
    dichroic_ref : None | DichroicRef
        (The LightPath DichroicRef).
    emission_filter_ref : list[FilterRef]
        The Filters placed in the Emission light path.
    annotation_ref : list[AnnotationRef]
        (The LightPath AnnotationRefs).
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    excitation_filters: List[FilterRef] = Field(
        default_factory=list,
        metadata={
            "name": "ExcitationFilterRef",
            "type": "Element",
        },
    )
    dichroic_ref: Optional[DichroicRef] = Field(
        default=None,
        metadata={
            "name": "DichroicRef",
            "type": "Element",
        },
    )
    emission_filters: List[FilterRef] = Field(
        default_factory=list,
        metadata={
            "name": "EmissionFilterRef",
            "type": "Element",
        },
    )
    annotation_refs: List[AnnotationRef] = Field(
        default_factory=list,
        metadata={
            "name": "AnnotationRef",
            "type": "Element",
        },
    )
