from ome_types._autogenerated.ome_2016_06.bin_data import BinData
from ome_types._autogenerated.ome_2016_06.shape import Shape
from xsdata_pydantic_basemodel.pydantic_compat import Field

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Mask(Shape):
    """The Mask ROI shape is a link to a BinData object that is a BIT mask drawn on
    top of the image as an ROI.

    It is applied at the same scale, pixel to pixel, as the Image the
    ROI is applied to, unless a transform is applied at the shape level.

    Attributes
    ----------
    bin_data : BinData
        (The Mask BinData).
    x : float
        The X coordinate of the left side of the image. [units pixels]
    y : float
        The Y coordinate of the top side of the image. [units pixels]
    width : float
        The width of the mask. [units pixels]
    height : float
        The height of the mask. [units pixels]
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    bin_data: BinData = Field(
        metadata={
            "name": "BinData",
            "type": "Element",
            "required": True,
        }
    )
    x: float = Field(
        metadata={
            "name": "X",
            "type": "Attribute",
            "required": True,
        }
    )
    y: float = Field(
        metadata={
            "name": "Y",
            "type": "Attribute",
            "required": True,
        }
    )
    width: float = Field(
        metadata={
            "name": "Width",
            "type": "Attribute",
            "required": True,
        }
    )
    height: float = Field(
        metadata={
            "name": "Height",
            "type": "Attribute",
            "required": True,
        }
    )
