from enum import Enum

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class UnitsFrequency(Enum):
    """
    The units used to represent frequency.

    Attributes
    ----------
    YOTTAHERTZ : str
        yottahertz unit.
    ZETTAHERTZ : str
        zettahertz unit.
    EXAHERTZ : str
        exahertz unit.
    PETAHERTZ : str
        petahertz unit.
    TERAHERTZ : str
        terahertz unit.
    GIGAHERTZ : str
        gigahertz unit.
    MEGAHERTZ : str
        megahertz unit.
    KILOHERTZ : str
        kilohertz unit.
    HECTOHERTZ : str
        hectohertz unit.
    DECAHERTZ : str
        decahertz unit.
    HERTZ : str
        hertz unit.
    DECIHERTZ : str
        decihertz unit.
    CENTIHERTZ : str
        centihertz unit.
    MILLIHERTZ : str
        millihertz unit.
    MICROHERTZ : str
        microhertz unit.
    NANOHERTZ : str
        nanohertz unit.
    PICOHERTZ : str
        picohertz unit.
    FEMTOHERTZ : str
        femtohertz unit.
    ATTOHERTZ : str
        attohertz unit.
    ZEPTOHERTZ : str
        zeptohertz unit.
    YOCTOHERTZ : str
        yoctohertz unit.
    """

    YOTTAHERTZ = "YHz"
    ZETTAHERTZ = "ZHz"
    EXAHERTZ = "EHz"
    PETAHERTZ = "PHz"
    TERAHERTZ = "THz"
    GIGAHERTZ = "GHz"
    MEGAHERTZ = "MHz"
    KILOHERTZ = "kHz"
    HECTOHERTZ = "hHz"
    DECAHERTZ = "daHz"
    HERTZ = "Hz"
    DECIHERTZ = "dHz"
    CENTIHERTZ = "cHz"
    MILLIHERTZ = "mHz"
    MICROHERTZ = "µHz"
    NANOHERTZ = "nHz"
    PICOHERTZ = "pHz"
    FEMTOHERTZ = "fHz"
    ATTOHERTZ = "aHz"
    ZEPTOHERTZ = "zHz"
    YOCTOHERTZ = "yHz"
